<?php
#----------------------------------------------------------#
# 試合登録
#----------------------------------------------------------#
function team_resultR(){
global$disp,$Q,$SET;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_data('player',$_COOKIE[id]);
$TM=read_data('team',$_COOKIE[id]);
$title=title($_COOKIE[id]);
#--------------------------------------#
# 大会
#--------------------------------------#
$TIME=read_data('time','time');
if($PL[22]==$TIME[no]&&$TIME[no]!=0){
	$TM_GL=explode('!',$TM[1]);
	if($TM_GL[0]){
		#チーム
		$WINPER=AVE(($TM[2]-$TM[5]),$TM[3])*100;
		$html_res.="<font size=+1 style='font-weight:bold;'>$TM[3]勝$TM[4]敗$TM[5]分&nbsp;勝率".$WINPER."%</font><br>\n";
		#個人
		$html_res.="<a href='$SET[path_index]?r=team_result_pc'>チーム個人成績(投手)</a>&nbsp;/&nbsp;<a href='$SET[path_index]?r=team_result_bt'>チーム個人成績(野手)</a><br><br>\n";
		#resA
		$html_resA.="<b>全試合結果</b><table>\n";
		arsort($TM_GL);
		foreach($TM_GL as $gtime){
			$GAME=read_data('game',$gtime);
			$PD=read_data('player',$GAME[pid]);
			$OD=read_data('player',$GAME[oid]);
			$html_flag_urlP=icon_url($PD[5]);$html_flag_urlO=icon_url($OD[5]);
			$html_resA.="<tr style='text-align:center;'><td style='text-align:left;'>".html_time($gtime,2)."</td><td>";
			if($GAME[ppt]>$GAME[opt]){
				if($GAME[pid]==$_COOKIE[id]){
					$html_resA.="○";
					$D[GET_W][$GAME[oid]]++;
				}else{
					$html_resA.="●";
					$D[GET_L][$GAME[pid]]++;
				}
			}elseif($GAME[ppt]<$GAME[opt]){
				if($GAME[pid]==$_COOKIE[id]){
					$html_resA.="●";
					$D[GET_L][$GAME[oid]]++;
				}else{
					$html_resA.="○";
					$D[GET_W][$GAME[pid]]++;
				}
			}else{
				$html_resA.="△";
				if($GAME[pid]==$_COOKIE[id]){
					$D[GET_D][$GAME[oid]]++;
				}else{
					$D[GET_D][$GAME[pid]]++;
				}
			}
			#
			if($GAME[pid]==$_COOKIE[id]){
				$D[GET_PP][$GAME[oid]]+=$GAME[ppt];
				$D[GET_PO][$GAME[oid]]+=$GAME[opt];
				$D[GET_G][$GAME[oid]]++;
			}else{
				$D[GET_PP][$GAME[pid]]+=$GAME[opt];
				$D[GET_PO][$GAME[pid]]+=$GAME[ppt];
				$D[GET_G][$GAME[pid]]++;
			}
			#
			$html_resA.="</td><td>$PD[1]</td><td><img src='$html_flag_urlP' height=$SET[icon_h_m] title='$PD[1]'></td>";
			#戦績表示
			$filename='game'.$gtime.'.html';
			if(file_exists($filename)){
				$html_resA.="<td><a href='$filename' target='_blank'><b>$GAME[ppt]-$GAME[opt]</b></a></td>";
			}else{
				$html_resA.="<td><b>$GAME[ppt]-$GAME[opt]</b></td>";
			}
			$html_resA.="<td>$OD[1]</td><td><img src='$html_flag_urlO' height=$SET[icon_h_m] title='$OD[1]'></td></tr>\n";
		}
		$html_resA.="</table><br>\n";
		#まとめ(対戦シートみたいなのを表示？)
		$html_res.="<b>対戦表</b><br>\n<table>";
		$html_res.="<tr><th colspan=3>チーム</th><th>勝率</th><th>勝</th><th>敗</th><th>分</th><th>得点</th><th>失点</th><th>得失</th></tr>\n";
		foreach($D[GET_G] as $key=>$val){
			$OL=read_data('player',$key);
			$html_flag_url=icon_url($OL[5]);$html_icon_url=icon_url($OL[6]);
			$WINPER=AVE(($D[GET_G][$key]-$D[GET_D][$key]),$D[GET_W][$key]);
			$html_res.="<tr style='text-align:center;'><td>$OL[1]</td><td><img src='$html_flag_url' height=$SET[icon_h_m] title='$OL[1]'></td><td><img src='$html_icon_url' height=$SET[icon_h_m] title='$OL[0]'></td>";
			$html_res.="<td>$WINPER</td><td>".$D[GET_W][$key]."</td><td>".$D[GET_L][$key]."</td><td>".$D[GET_D][$key]."</td><td>".$D[GET_PP][$key]."</td><td>".$D[GET_PO][$key]."</td><td>".($D[GET_PP][$key]-$D[GET_PO][$key])."</td>";
		}
		$html_res.="</table><br>\n";
		#全試合表示
		$html_res.=$html_resA;
	}else{
		$html_res.="試合をしていません<br>";
	}
}else{
	$html_res="第$PL[22]回大会は終了しました<br><input type=button value=\"試合登録(シーズン更新)\" onclick=\"location.href='$SET[path_index]?r=team_reg';\">";
}
#前季・全季・練習
$html_res.="前季：<a href='$SET[path_index]?r=team_result_pcb'>チーム個人成績(投手)</a>&nbsp;/&nbsp;<a href='$SET[path_index]?r=team_result_btb'>チーム個人成績(野手)</a><br>\n";
$html_res.="全季：<a href='$SET[path_index]?r=team_result_pca'>チーム個人成績(投手)</a>&nbsp;/&nbsp;<a href='$SET[path_index]?r=team_result_bta'>チーム個人成績(野手)</a><br>\n";
$html_res.="練習：<a href='$SET[path_index]?r=team_result_pcp'>チーム個人成績(投手)</a>&nbsp;/&nbsp;<a href='$SET[path_index]?r=team_result_btp'>チーム個人成績(野手)</a><br>\n";
#--------------------------------------#
sql_close($db);
#--------------------------------------#
$disp.=head();
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
<b>試合結果(第$TIME[no]回大会)</b><blockquote>
$html_res
</blockquote>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
?>